Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 108573 - CAN-2003-0856 Netlink local DoS: iproute
CAN-2003-0856 Netlink local DoS: iproute
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: iproute (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-30 05:25 EST by Mark J. Cox
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-12 09:06:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:317 normal SHIPPED_LIVE Low: iproute security update 2003-11-12 00:00:00 EST

  None (edit)
Description Mark J. Cox 2003-10-30 05:25:09 EST
Herbert Xu discovered that a number of netlink applications do not
check the source address of incoming packets, assuming they are coming
from the kernel.  As any local user can send unicast netlink messages
to any process on the system, this can lead to a local denial of
service attack, or other local attacks.

iproute in RHEL3 and RHEL2.1 is affected 

Currently embargoed.
Comment 1 Mark J. Cox 2003-11-12 09:06:22 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-317.html

Note You need to log in before you can comment on or make changes to this bug.